	var trackEvent = (function () {
		var track = function (category, action, label) {
			if (window._gaq) {
				_gaq.push(['_trackEvent', category, action, label]);
				track = function (category, action, label) {
					_gaq.push(['_trackEvent', category, action, label]);
				}
			} else {
				track = function (category, action, label) {
					return false;
				}
			}
		};
		return function (category, action, label) {
			track(category, action, label);
		};
	}());

	function LoadScriptAsync(url, callback) {
		var d = false;
		var po = document.createElement('script');
		po.type = 'text/javascript';
		po.async = true;
		po.src = url;

		if ('function' === typeof(callback)) {
			po.onload = po.onreadystatechange = function() {
				var rs = this.readyState;
				if (d || rs && rs != 'complete' && rs != 'loaded') return;
				d = true;
				callback();
			};
		}

		var s = document.getElementsByTagName('script')[0];
		s.parentNode.insertBefore(po, s);
	}
	
	function InitProntoButton() {
		if (window.ISLProntoInfo) {
			if (ISLProntoInfo.supporters > 0) {
				$('.button.chat, #chat .init-chat,.contact-banner .chat a')
						.html(function (i, o) {
							return $(this).data('chat-text');
						})
						.removeClass('inactive')
						.bind('click', function (ev) {
							ev.preventDefault();
							ISLProntoInfo.onchat();
							trackEvent('Chat', 'Chat Start', window.location.pathname);
						});
						setTimeout(function() { showMico();$('#chat').addClass('bottom0');},1500);
				$('.contact-banner .chat')
						.removeClass('inactive');
			}
		}
	}
	
	function showMico() {
		if(!detectTouchSupport()) {
			// Chat side window + cookies
			if(getCookie('chatButton') !== '0') {
				var chatBubble = $('#chat .bubble.green');
				chatBubble.show();
				$(chatBubble).find('.close-modal').bind('click', function() {
					chatBubble.hide();
					var date = new Date();
					date.setTime(date.getTime()+(24*60*60*1000));
					document.cookie="chatButton=0; expires="+date.toGMTString()+"; path=/";
					trackEvent('Chat', 'Mico Close', window.location.pathname)
				});
			}
		}
	}
	
	var getCookie = function(cookieName) {
		var name = cookieName + "=",
			ca = document.cookie.split(';');
		for(var i=0; i<ca.length; i++)
			{
				var c = $.trim(ca[i]);
				if (c.indexOf(name)==0) return c.substring(name.length,c.length);
			}
		return "";
	}
	
	var detectTouchSupport  = function() {
		var msGesture = window.navigator && window.navigator.msPointerEnabled && window.MSGesture && window.navigator.msMaxTouchPoints > 0,
			touchSupport = (( "ontouchstart" in window ) || msGesture || window.DocumentTouch && document instanceof DocumentTouch);
		return touchSupport;
	}
	LoadScriptAsync(protocol+"://"+server_adress+"/live/islpronto/public/chat_info.js?d="+domain+"&lang="+language+"&filter="+filter+"&chat_width="+chat_width+"&chat_height="+chat_height.replace(/\s/g,''), function() {InitProntoButton();});
	console.log(protocol+"://"+server_adress+"/live/islpronto/public/chat_info.js?d="+domain+"&lang="+language+"&filter="+filter+"&chat_width="+chat_width+"&chat_height="+chat_height.replace(/\s/g,''));